summaryrefslogtreecommitdiff
path: root/app-portage
diff options
context:
space:
mode:
authorroot <root@alpha.trunkmasters.com>2026-06-29 03:04:32 -0500
committerroot <root@alpha.trunkmasters.com>2026-06-29 03:04:32 -0500
commit1c2bb144efdfa7abb1e6ff9c0dc1f10c01eb43d1 (patch)
tree977e8a4ceec4c6469193a34c8bd0f3cbb26f3878 /app-portage
parentd078a6bb97ca56a274a131a62e0cfe7d85c4452d (diff)
downloadbaldeagleos-repo-1c2bb144efdfa7abb1e6ff9c0dc1f10c01eb43d1.tar.gz
baldeagleos-repo-1c2bb144efdfa7abb1e6ff9c0dc1f10c01eb43d1.tar.xz
baldeagleos-repo-1c2bb144efdfa7abb1e6ff9c0dc1f10c01eb43d1.zip
Adding metadata
Diffstat (limited to 'app-portage')
-rw-r--r--app-portage/gentoolkit/Manifest1
-rw-r--r--app-portage/gentoolkit/gentoolkit-0.7.4.ebuild2
-rw-r--r--app-portage/gentoolkit/gentoolkit-0.7.5.ebuild130
-rw-r--r--app-portage/mirrorselect/Manifest1
-rw-r--r--app-portage/mirrorselect/mirrorselect-2.6.5.ebuild51
5 files changed, 184 insertions, 1 deletions
diff --git a/app-portage/gentoolkit/Manifest b/app-portage/gentoolkit/Manifest
index fb15e8a85ccf..58e2e6f89d66 100644
--- a/app-portage/gentoolkit/Manifest
+++ b/app-portage/gentoolkit/Manifest
@@ -1,2 +1,3 @@
DIST gentoolkit-0.7.2.tar.bz2 3190909 BLAKE2B b8646c98858cd4e7c1c4dee5656319fd30b2668ea0b6739e327b94fc9955bb0fd8591769df0168fae46a98e28a96d1a95ff28fa35fe4a146cb100c554cd8a55a SHA512 9afe0e249bcee9f184cf5e691dd841756d00ac4ea63de223d89bc6a4a457f30a7def4390afe2e3f6f83425828f4c22086d381930e35b161000dea4c7146d5cd2
DIST gentoolkit-0.7.4.tar.bz2 3191147 BLAKE2B 7bc7bb819b277269bb0d714d74efe522beee0e1c7a09c818007847bfb5d26006178cf4f9a53da11d7dfb217683752769d53b269711d267da61261d6f997b5623 SHA512 d0f36205210d2a1402d64756983a021465943924657e433120c11c137f18b6c6c42c9a074d75f6d60f1ba0831f1f82feaaeb293086190b224ba6ed9f970e3659
+DIST gentoolkit-0.7.5.tar.bz2 3192126 BLAKE2B 028d6f0c441babc5a49c64c16642d03ffe2863403ee37944b6787b7cccb7f6c25fac2a2a410974fd87ac8552c2891bff8401c332fba9d7bcdcf9c226e6be57eb SHA512 9c08ac0a58f43c3d7aea6867f2aafbeef87bda70d5e26b4c47e6088de38f00604097b943f43bb7a2e79354dc30e642a7f81fb16e1234684dd7019532b2060a6b
diff --git a/app-portage/gentoolkit/gentoolkit-0.7.4.ebuild b/app-portage/gentoolkit/gentoolkit-0.7.4.ebuild
index bea36ac84fc0..93fd6972062a 100644
--- a/app-portage/gentoolkit/gentoolkit-0.7.4.ebuild
+++ b/app-portage/gentoolkit/gentoolkit-0.7.4.ebuild
@@ -15,7 +15,7 @@ if [[ ${PV} = 9999* ]]; then
"
inherit git-r3
else
- SRC_URI="https://gitweb-cdn-origin.gentoo.org/proj/gentoolkit.git/snapshot/${P}.tar.bz2"
+ SRC_URI="https://gitweb.gentoo.org/proj/gentoolkit.git/snapshot/${P}.tar.bz2"
KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~loong ~m68k ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86 ~arm64-macos ~x64-macos ~x64-solaris"
fi
diff --git a/app-portage/gentoolkit/gentoolkit-0.7.5.ebuild b/app-portage/gentoolkit/gentoolkit-0.7.5.ebuild
new file mode 100644
index 000000000000..93fd6972062a
--- /dev/null
+++ b/app-portage/gentoolkit/gentoolkit-0.7.5.ebuild
@@ -0,0 +1,130 @@
+# Copyright 1999-2026 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+PYTHON_COMPAT=( python3_{13..14} )
+PYTHON_REQ_USE="xml(+),threads(+)"
+
+inherit meson python-r1 tmpfiles
+
+if [[ ${PV} = 9999* ]]; then
+ EGIT_REPO_URI="
+ https://anongit.gentoo.org/git/proj/gentoolkit.git
+ https://github.com/gentoo/gentoolkit
+ "
+ inherit git-r3
+else
+ SRC_URI="https://gitweb.gentoo.org/proj/gentoolkit.git/snapshot/${P}.tar.bz2"
+ KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~loong ~m68k ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86 ~arm64-macos ~x64-macos ~x64-solaris"
+fi
+
+DESCRIPTION="Collection of administration scripts for Gentoo"
+HOMEPAGE="https://wiki.gentoo.org/wiki/Project:Portage-Tools"
+
+LICENSE="GPL-2"
+SLOT="0"
+REQUIRED_USE="${PYTHON_REQUIRED_USE}"
+IUSE="test"
+RESTRICT="!test? ( test )"
+
+# Need newer Portage for eclean-pkg API, bug #900224
+DEPEND="
+ >=sys-apps/portage-3.0.57[${PYTHON_USEDEP}]
+"
+RDEPEND="
+ ${DEPEND}
+ ${PYTHON_DEPS}
+ app-alternatives/awk
+ sys-apps/gentoo-functions
+"
+
+# setuptools is still needed as a workaround for Python 3.12+ for now.
+# https://github.com/mesonbuild/meson/issues/7702
+#
+# >=meson-1.2.1-r1 for bug #912051
+BDEPEND="
+ ${PYTHON_DEPS}
+ >=dev-build/meson-1.2.1-r1
+ $(python_gen_cond_dep '
+ dev-python/setuptools[${PYTHON_USEDEP}]
+ ' python3_12)
+ test? (
+ dev-python/pytest[${PYTHON_USEDEP}]
+ )
+"
+
+src_prepare() {
+ default
+ if use prefix-guest ; then
+ # use correct repo name, bug #632223
+ sed -i \
+ -e "/load_profile_data/s/repo='gentoo'/repo='gentoo_prefix'/" \
+ pym/gentoolkit/profile.py || die
+ fi
+}
+
+src_configure() {
+ local code_only=false
+ python_foreach_impl my_src_configure
+}
+
+my_src_configure() {
+ local emesonargs=(
+ -Dcode-only=${code_only}
+ $(meson_use test tests)
+ -Deprefix="${EPREFIX}"
+ -Ddocdir="${EPREFIX}/usr/share/doc/${PF}"
+ )
+
+ meson_src_configure
+ code_only=true
+}
+
+src_compile() {
+ python_foreach_impl meson_src_compile
+}
+
+src_test() {
+ local -x PYTEST_DISABLE_PLUGIN_AUTOLOAD=1
+ python_foreach_impl epytest
+}
+
+src_install() {
+ python_foreach_impl my_src_install
+ dotmpfiles data/tmpfiles.d/revdep-rebuild.conf
+
+ local scripts
+ mapfile -t scripts < <(awk '/^#!.*python/ {print FILENAME} {nextfile}' "${ED}"/usr/bin/* || die)
+ python_replicate_script "${scripts[@]}"
+}
+
+my_src_install() {
+ local pydirs=(
+ "${D}$(python_get_sitedir)"
+ )
+
+ meson_src_install
+ python_optimize "${pydirs[@]}"
+}
+
+pkg_postinst() {
+ tmpfiles_process revdep-rebuild.conf
+
+ # Only show the elog information on a new install
+ if [[ ! ${REPLACING_VERSIONS} ]]; then
+ elog
+ elog "For further information on gentoolkit, please read the gentoolkit"
+ elog "guide: https://wiki.gentoo.org/wiki/Gentoolkit"
+ elog
+ elog "Another alternative to equery is app-portage/portage-utils"
+ elog
+ elog "Additional tools that may be of interest:"
+ elog
+ elog " app-admin/eclean-kernel"
+ elog " app-portage/diffmask"
+ elog " app-portage/flaggie"
+ elog " app-portage/portpeek"
+ elog " app-portage/smart-live-rebuild"
+ fi
+}
diff --git a/app-portage/mirrorselect/Manifest b/app-portage/mirrorselect/Manifest
index a2459271433d..5565a0583c03 100644
--- a/app-portage/mirrorselect/Manifest
+++ b/app-portage/mirrorselect/Manifest
@@ -1,2 +1,3 @@
DIST mirrorselect-2.6.4.tar.gz 19053 BLAKE2B 8ade56ebcac99bc50c7912da43768eff411cc1e3ad9f2670482b7cb6ea897e3cce1f1716c4b8f3a05491820a7dcd74ce42e278bacfb1b92b54da13021b2dbe5e SHA512 e1251496af1d3862bd52c78ebf4a4a09a8fc1cd489b5eb4063d107befc6b1f14de312b16f61fcc362653d4bb8306145f48d29a3d5aedc9042ec80f1185eabd22
+DIST mirrorselect-2.6.5.tar.gz 19211 BLAKE2B c05cd77febe4f19d271d2a575a5234946561ac5d0996c84d6623ad2af989f5f6011b8a54de26903007086685ad8c1a2a32243ac8f9df90ad56345760b77bff4b SHA512 e313504f69c08098cedf9ee1fbd12206272fd9ec174c914bf5d28847cfb8c737631a3eb0196d7cb883aef066c700c5ca224c1b184a5ddddbcd1f67722ee7b0f8
DIST mirrorselect-test 102403 BLAKE2B 8f23cebf111912ea6fcdea5f4a50a84751a4dd0c62956555a5c0b4fbe15d2329424a65b18c3608440bc0fedd4b2d25fc74cfe91e6e434eb90b7090b36e17b65f SHA512 f43d92e9bf7e77c8f04449a786cb659bdfc07257892caca842ab4a63eb9c5351fa48130c2e163857f3233a595cea7b83f5ea9fa879b782e15b73beb62f0e5e27
diff --git a/app-portage/mirrorselect/mirrorselect-2.6.5.ebuild b/app-portage/mirrorselect/mirrorselect-2.6.5.ebuild
new file mode 100644
index 000000000000..aa9f7034331d
--- /dev/null
+++ b/app-portage/mirrorselect/mirrorselect-2.6.5.ebuild
@@ -0,0 +1,51 @@
+# Copyright 1999-2026 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{13..14} )
+PYTHON_REQ_USE="xml(+)"
+
+inherit edo distutils-r1 prefix
+
+DESCRIPTION="Tool to help select distfiles mirrors for Gentoo"
+HOMEPAGE="https://wiki.gentoo.org/wiki/Mirrorselect"
+
+if [[ ${PV} == 9999 ]] ; then
+ EGIT_REPO_URI="https://anongit.gentoo.org/git/proj/mirrorselect.git"
+ inherit git-r3
+else
+ SRC_URI="
+ https://gitweb.gentoo.org/proj/mirrorselect.git/snapshot/${P}.tar.gz
+ https://dev.gentoo.org/~dolsen/releases/mirrorselect/${P}.tar.gz
+ https://dev.gentoo.org/~dolsen/releases/mirrorselect/mirrorselect-test
+ "
+
+ KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~loong ~m68k ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86"
+fi
+
+LICENSE="GPL-2"
+SLOT="0"
+
+BDEPEND="${DISTUTILS_DEPS}"
+RDEPEND="
+ dev-util/dialog
+ >=net-analyzer/netselect-0.4
+ dev-python/requests[${PYTHON_USEDEP}]
+ sys-apps/portage[${PYTHON_USEDEP}]
+"
+
+distutils_enable_tests unittest
+
+python_prepare_all() {
+ python_setup
+
+ local -x VERSION="${PVR}"
+ sed -e 's:os.path.join(os.sep, EPREFIX.lstrip(os.sep), "usr/share/man/man8"):"share/man/man8":' \
+ -i setup.py || die
+ eprefixify setup.py mirrorselect/main.py
+ edo "${PYTHON}" setup.py set_version
+
+ distutils-r1_python_prepare_all
+}